{
    num: 217,
    accuracy: 90,
    basePower: 0,
    category: "Physical",
    name: "Present",
    pp: 15,
    priority: 0,
    flags: {protect: 1, mirror: 1, metronome: 1},
    onModifyMove(move, pokemon, target) {
        const rand = this.random(10);
        if (rand < 2) {
            move.heal = [1, 4];
            move.infiltrates = true;
        } else if (rand < 6) {
            move.basePower = 40;
        } else if (rand < 9) {
            move.basePower = 80;
        } else {
            move.basePower = 120;
        }
    },
    onTryHit(target, source, move) {
        if (source.isAlly(target)) {
            move.basePower = 0;
            move.infiltrates = true;
        }
    },
    onTryMove(source, target, move) {
        if (source.isAlly(target) && source.volatiles['healblock']) {
            this.attrLastMove('[still]');
            this.add('cant', source, 'move: Heal Block', move);
            return false;
        }
    },
    onHit(target, source, move) {
        if (source.isAlly(target)) {
            if (!this.heal(Math.floor(target.baseMaxhp * 0.3))) {
                if (target.volatiles['healblock'] && target.hp !== target.maxhp) {
                    this.attrLastMove('[still]');
                    this.add('cant', source, 'move: Heal Block', move);
                } else {
                    this.add('-immune', target);
                }
                return this.NOT_FAIL;
            }
        }
    },
    secondary: null,
    target: "normal",
    type: "Normal",
    contestType: "Cute",
}
